Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class StandardizationFieldGroup

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.StandardizationFieldGroup

Direct Known Subclasses:
  PreparsedFieldGroup, UnparsedFieldGroup

public class StandardizationFieldGroup
extends java.lang.Object

Defines the configuration settings for the common elements to a standardization field group, whether for a structure to normalize (pre-parsed) or free-form text to standardize (unparsed).

Constructor Summary
`StandardizationFieldGroup(java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.util.HashMap aLocales, java.lang.String aStandardizationType, java.lang.String aDomainSelectorClassName, SystemObjectField aLocaleField)` Creates new StandardizationFieldGroup.
`StandardizationFieldGroup(java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.lang.String aStandardizationType, java.lang.String aDomainSelectorClassName)` Creates new StandardizationFieldGroup.

Method Summary
`java.lang.String` | `getConcatenationDelimiter()` Getter for ConcatenationDelimiter attribute.
`DomainSelector` | `getDomainSelector()` Getter for domain selector attribute.
`SystemObjectField` | `getLocaleField()` Getter for locale field attribute.
`java.util.HashMap` | `getLocales()` Getter for locales attribute.
`java.util.LinkedHashMap` | `getStandardizationTargets()` Getter for StandardizationTargets attribute.
`java.lang.String` | `getStandardizationType()` Getter for StandardizationType attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardizationFieldGroup

    public StandardizationFieldGroup(java.lang.String aConcatenationDelimiter,
                                     java.util.LinkedHashMap aStandardizationTargets,
                                     java.util.HashMap aLocales,
                                     java.lang.String aStandardizationType,
                                     java.lang.String aDomainSelectorClassName,
                                     SystemObjectField aLocaleField)
                              throws java.lang.ClassNotFoundException,
                                     java.lang.InstantiationException,
                                     java.lang.IllegalAccessException

  Creates new StandardizationFieldGroup.

  Parameters:
    `aConcatenationDelimiter` - the concatenation delimiter to use if required.
    `aStandardizationTargets` - the fields to write the standardized structure to.
    `aLocales` - the hash map containing the locale information.
    `aStandardizationType` - the standardization engine specific standardization.
    `aDomainSelectorClassName` - the default domain selector.
    `aLocaleField` - the field containing the locale information type identifying the entry to standardize to the standardization engine.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

### StandardizationFieldGroup

    public StandardizationFieldGroup(java.lang.String aConcatenationDelimiter,
                                     java.util.LinkedHashMap aStandardizationTargets,
                                     java.lang.String aStandardizationType,
                                     java.lang.String aDomainSelectorClassName)
                              throws java.lang.ClassNotFoundException,
                                     java.lang.InstantiationException,
                                     java.lang.IllegalAccessException

  Creates new StandardizationFieldGroup.

  Parameters:
    `aConcatenationDelimiter` - the concatenation delimiter to use if required.
    `aStandardizationTargets` - the fields to write the standardized structure to.
    `aStandardizationType` - the standardization engine specific standardization type identifying the entry to standardize to the standardization engine.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

Method Detail

### getConcatenationDelimiter

    public java.lang.String getConcatenationDelimiter()

  Getter for ConcatenationDelimiter attribute.

  Returns:
    the concatenation delimiter to use if required.

### getDomainSelector

    public DomainSelector getDomainSelector()

  Getter for domain selector attribute.

  Returns:
    the domain selector attribute.

### getLocaleField

    public SystemObjectField getLocaleField()

  Getter for locale field attribute.

  Returns:
    the hash map where the locale information is stored.

### getLocales

    public java.util.HashMap getLocales()

  Getter for locales attribute.

  Returns:
    the hash map where the locale information is stored.

### getStandardizationTargets

    public java.util.LinkedHashMap getStandardizationTargets()

  Getter for StandardizationTargets attribute.

  Returns:
    the fields to write the standardized structure to.

### getStandardizationType

    public java.lang.String getStandardizationType()

  Getter for StandardizationType attribute.

  Returns:
    the standardization engine specific standardization type identifying the entry to standardize to the standardization engine.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.